Bug Hunting Session
Bug 112804 - HELP: wrong key combination to insert text before a table
Summary: HELP: wrong key combination to insert text before a table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2017-10-01 20:52 UTC by Jean-Baptiste Faure
Modified: 2017-10-06 17:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2017-10-01 20:52:15 UTC
Description:
In the local help the key combination to insert a paragraph before a table at the beginning of a document indicates Enter instead of Alt+Enter :






Steps to Reproduce:
To insert a paragraph before a table at the beginning of a document, header or footer, place the cursor before any content in the first cell, and then press Enter.

To find this citation search tables;inserting text before in the index for Writer.

Actual Results:  
.

Expected Results:
The correct key combination is alt+Enter.


Reproducible: Always

User Profile Reset: No

Additional Info:
The new online help is correct : https://helponline.libreoffice.org/5.4/en-US/text/swriter/guide/insert_beforetable.html

Best regards. JBF


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 2 Commit Notification 2017-10-02 19:58:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=aa1e7fffd4f067414833d593cd0307bd2dc9d6f9

tdf#112804 Fix key combination for inserting paragraph before table
Comment 3 Jean-Baptiste Faure 2017-10-03 04:42:03 UTC
(In reply to Commit Notification from comment #2)
> Gabor Kelemen committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/help/commit/
> ?id=aa1e7fffd4f067414833d593cd0307bd2dc9d6f9
> 
> tdf#112804 Fix key combination for inserting paragraph before table

Thank you very much for this quick fix. Do you plan to backport it to LO 5.4 ?

Best regards. JBF
Comment 4 Gabor Kelemen 2017-10-04 20:58:34 UTC
(In reply to Jean-Baptiste Faure from comment #3)
> Thank you very much for this quick fix. Do you plan to backport it to LO 5.4
> ?

YW, but this changes a string, and usually we do not backport string changes to stable branches, so, I guess no, gotta wait for 6.0.

Also, the help content in general is in a bad enough shape to make backporting individual patches irrelevant.
Comment 5 Jean-Baptiste Faure 2017-10-06 17:12:31 UTC
(In reply to Gabor Kelemen from comment #4)
> (In reply to Jean-Baptiste Faure from comment #3)
> > Thank you very much for this quick fix. Do you plan to backport it to LO 5.4
> > ?
> 
> YW, but this changes a string, and usually we do not backport string changes
> to stable branches, so, I guess no, gotta wait for 6.0.
> 
> Also, the help content in general is in a bad enough shape to make
> backporting individual patches irrelevant.

Ok, I understand.

Best regards. JBF